Associate Dataset

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securable
API call form
Examples

Datasets and dashboards are in the Luzmo API a type of securable . As such, the API calls to create, update, delete, ... datasets or dashboards are executed against the securable endpoint.

Properties relevant to one, may not be relevant to the other. Those will be null (e.g. contents is null for a dataset while for dashboards it is one of the most important properties as it holds the definition of screenmodes, charts, ...).

Associate a dataset to be able to share it or add other capabilities, check each association for more information.

There is one special default group called the 'Public' group. Associating dashboards/datasets with this group will make them available for sharing with private links. The links are private in the sense that you need to know a unique uuid in order to find the dashboard/dataset. Their 'published' property is only relevant for this group.

Request parametersResponse schema
id UUID

The unique identifier of the entity

type STRING

Type of the securable. For datasets, this is dataset .

subtype STRING

Data source identifier for the dataset. For native or plugin connector datasets, this is equal to the connector slug. Local uploads use upload , and datasets created through the Data API service use api .

name Multilingual string

Internationalized title of the dataset.

description Multilingual string

Internationalized description of the dataset.

subtitle OBJECT

Internationalized subtitle of the dataset.

ai_context STRING

Plain-text AI context for this dataset. Luzmo IQ uses this field as additional business context when answering questions or generating charts. It enriches, but does not replace, the dataset name and description. This field is shared across all languages and is not internationalized. Set it to null to clear previously stored AI context. The API stores and returns the full value; long values may be truncated only when rendered into AI prompts.

custom_metadata OBJECT

Custom metadata attached to this dataset. Must be a valid JSON object with a maximum size of 65536 bytes. Set to null to clear previously stored metadata.

source_dataset STRING

Identifier of the source data connection or source dataset backing this dataset.

source_sheet STRING

Data source identifier for this dataset. Depending on the data source, this can be a combination of schema and table name. Will be null for SQL datasets.

source_query STRING

Query used for SQL datasets. Will be null for datasets that are not SQL datasets.

transformation STRING

Immutable transformation definition used by the dataset, or null when no transformation is configured.

storage STRING

Storage backend used by the dataset. This property is read-only.

rows NUMBER

Number of rows currently stored in the dataset. This property is read-only.

is_variant BOOLEAN

Whether this dataset is a variant of another securable. This property is read-only.

meta_sync_interval NUMBER

Metadata synchronization interval in hours when meta_sync_inherit is false .

meta_sync_inherit BOOLEAN

Whether metadata synchronization settings are inherited from the parent connection.

meta_sync_enabled BOOLEAN

Whether automatic metadata synchronization is enabled when meta_sync_inherit is false .

last_metadata_sync_at DATETIME

Time of the last successful metadata synchronization, or null if metadata has not been synchronized. This property is read-only.

cache NUMBER

Number of seconds queries to this dataset are cached in Luzmo's caching layer. Defaults to 0, which disables caching for this dataset. You can invalidate the cache before it expires by calling the update method on the data endpoint.

acceleration_id STRING

ID of the acceleration (WARP) that periodically syncs this dataset into Luzmo's high-performance storage. Will be null when the dataset is not accelerated. Include the Acceleration association to retrieve the full acceleration configuration.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

modified_at DATETIME

RFC 3339 date time string indicating when the dataset's contents (for example its data or metadata) were last modified. This can differ from updated_at , which tracks changes to the dataset record itself.

owner_id STRING

ID of the user that owns this dataset.

account_id STRING

ID of the account or connection associated with this dataset.

Can be executed by:
Securable Owner
&
Organization Editor
(For: Users)
Securable Owner
&
Group Member
(For: Groups)
Securable Reader
&
Securable Reader
(For: favorites)
Securable Modifier
&
Organization Member
(For: Tags)
Securable Modifier
&
Securable Modifier
(For: Schedule)
Securable Reader
&
Entity Modifier
(For: Collections)
Securable Modifier
&
Securable Modifier
(For: Columns)
Securable Reader
&
Organization Owner
(For: EmbedFilterGroups)
Can be associated to:
Columns
Groups
Users
Schedule
Tags
Collections
favorites
EmbedFilterGroups
Acceleration
Account
Dashboards
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "f13df731-fff4-4b6b-b6e0-58a7d3956685",
  "type": "dataset",
  "subtype": "demodataplugin",
  "name": {
    "en": "Sales dataset",
    "nl": "Verkoopsgegevens",
    "fr": "Données de ventes"
  },
  "description": {
    "en": "Dataset with demo sales data.",
    "nl": "Dataset met demo verkoopsgegevens",
    "fr": "Dataset contenant des données de ventes"
  },
  "ai_context": null,
  "custom_metadata": {
    "owner": "ops",
    "nested": {
      "level": "L1"
    }
  },
  "subtitle": null,
  "contents": null,
  "css": null,
  "source_dataset": "8b7954e2-3664-4437-b8cb-4b05b6ddee91",
  "source_sheet": "sales_dataset",
  "source_query": null,
  "transformation": null,
  "rows": 102,
  "featured": false,
  "modified_at": "2023-09-14T15:36:26.338Z",
  "cache": 0,
  "storage": "client",
  "is_variant": false,
  "migrated_rows": null,
  "uses_clickhouse_experimental": false,
  "meta_sync_interval": 1,
  "meta_sync_inherit": true,
  "meta_sync_enabled": true,
  "last_metadata_sync_at": "2024-02-21T11:47:27.432Z",
  "last_metadata_sync_attempt_at": "2024-02-21T11:47:25.391Z",
  "created_at": "2023-09-14T15:36:26.338Z",
  "updated_at": "2024-02-21T11:47:27.431Z",
  "acceleration_id": null,
  "account_id": "8b7954e2-3664-4437-b8cb-4b05b6ddee91",
  "template_id": null,
  "original_id": null,
  "modifier_id": "8ad836a8-3547-4ed6-ba59-b445bfed05ed",
  "owner_id": "8ad836a8-3547-4ed6-ba59-b445bfed05ed",
  "source_template_id": null
}